package com.winhc.repal.cloud.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 查询动态数据
 * @author: Anakin
 * @date 2021.7.13 10:28
 */
@Data
@ApiModel(description = "查询动态数据")
public class QueryV8DynamicDTO {
    @ApiModelProperty("实体名称")
    private List<String> entityNames;
    @ApiModelProperty("实体ID")
    private List<String> entityIds;
    @ApiModelProperty("风险等级 0，利好；1，提示；2，警示；3，高风险")
    private String riskLevel;
    @ApiModelProperty("动态类型")
    private List<String> infoTypes;
    @ApiModelProperty("开始日期 yyyy-MM-dd")
    private String startDate;
    @ApiModelProperty("结束日期 yyyy-MM-dd")
    private String endDate;
    @ApiModelProperty("动态入库日期 yyyy-MM-dd")
    private String updateTime;

}
