package com.winhc.repal.model.dto;

import com.winhc.repal.model.vo.RepalLinkVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Aaron
 * @date 2022/5/9 13:24
 * @description
 */
@Data
@ApiModel("短信催款")
public class RepalSmsDTO {
    @ApiModelProperty(value = "账款编号",required = true)
    private Long repalBillId;
    @ApiModelProperty(value = "发送联系人列表",required = true)
    private List<RepalLinkVO> links;
    @ApiModelProperty(value = "发送短信编号",required = true)
    private Integer smsCode;
}
