package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalChangeRecord;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;


/**
 * @description RepalChangeRecord 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalChangeRecordService extends IService<RepalChangeRecord> {

    /**
     * 获取首页变动记录
     * @param userId userId
     * @param repalBookId repalBookId
     * @param start start
     * @param end end
     * @return java.util.List<com.winhc.repal.entity.RepalChangeRecord>
     * @author xda
     * @date 2022/5/9 16:33
     */
    List<RepalChangeRecord> getHomeRecord(Long userId,
                                          Long repalBookId,
                                          LocalDate start,
                                          LocalDate end);

}
