package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: PageDTO
 * @Author: xda
 * @Date: 2020/12/16  11:46
 */
@Data
@ApiModel("分页dto")
public class PageDTO {

    @ApiModelProperty("页长")
    private Integer pageSize = 20;

    @ApiModelProperty("页码")
    private Integer pageNum = 1;
}
