package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;

/**
 * @Description: GroupRoleMemberVO
 * @Author: xda
 * @Date: 2022/5/10 14:05
 */
@Data
@ApiModel("组织角色成员vo")
public class GroupRoleMemberVO {

    @ApiModelProperty("角色name")
    private String roleName;

    @ApiModelProperty("roleId")
    private Long roleId;

    @ApiModelProperty("成员列表")
    private List<RoleMemberVO> roleMemberList;

    @Getter
    @Setter
    @AllArgsConstructor
    @NoArgsConstructor
    @ApiModel("角色成员")
    @ToString
    public static class RoleMemberVO {

        @ApiModelProperty("用户id")
        private Long userId;

        @ApiModelProperty("角色name")
        private String memberName;

        @ApiModelProperty("头像")
        private String avatar;

        @ApiModelProperty("成员id")
        private Long memberId;

    }


}
