package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: AccountBillRemindUnReadVO
 * @Author: xda
 * @Date: 2021/8/9 15:23
 */
@Data
@ApiModel("未读数量")
@AllArgsConstructor
@NoArgsConstructor
public class RepalBillRemindUnReadVO {

    @ApiModelProperty("风险预警未读数量")
    private Integer unreadRiskCount;

    @ApiModelProperty("财产提醒未读数量")
    private Integer unreadFinanceCount;

    @ApiModelProperty("评级动态未读数量")
    private Integer unreadRankCount;

    @ApiModelProperty("逾期动态未读数量")
    private Integer unreadOverdueCount;

    @ApiModelProperty("未读总数")
    private Integer unreadTotalCount;


}
